Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# MotionTrail Class Reference

Inherits pandac::PandaModules::NodePath, and direct::showbase::DirectObject::DirectObject.

List of all members.

## Public Member Functions
def | __init__
def | add_geometry_quad
def | add_vertex
def | attach_motion_trail
def | begin_geometry
def | begin_motion_trail
def | check_for_update
def | delete
def | enable_motion_trail
def | end_geometry
def | end_motion_trail
def | motion_trail_task
def | pause_motion_trail
def | print_matrix
def | register_motion_trail
def | reset_motion_trail
def | reset_motion_trail_geometry
def | resume_motion_trail
def | set_fade
def | set_texture
def | set_vertex_color
def | setGlobalEnable
def | toggle_pause_motion_trail
def | transferVertices
def | unregister_motion_trail
def | update_motion_trail
def | update_vertices
## Public Attributes
| active
| calculate_relative_matrix
| cmotion_trail
| color_scale
| color_writer
| continuous_motion_trail
| enable
| fade
| fade_color_scale
| fade_end
| fade_start_time
| fade_time
| format
| frame_list
| geom_node
| geom_node_path
| geometry
| last_update_time
| modified_vertices
| parent_node_path
| pause
| pause_time
| playing
| previous_matrix
| relative_to_render
| set render states
| resolution_distance
| root_node_path
| sampling_time
| square_t
| texture
| texture_writer
| time_window
| total_vertices
| triangles
| use_nurbs
| use_python_version
| vertex_data
| vertex_index
| vertex_list
| vertex_writer
## Static Public Attributes
| global_enable = True
list | motion_trail_list = [ ]
string | motion_trail_task_name = "motion_trail_task"
tuple | notify = directNotify.newCategory("MotionTrail")
| task_added = False

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | name,
|  |  | parent_node_path
| ) |  |

## Member Function Documentation

def add_geometry_quad | ( |  | self,
|  |  | v0,
|  |  | v1,
|  |  | v2,
|  |  | v3,
|  |  | c0,
|  |  | c1,
|  |  | c2,
|  |  | c3,
|  |  | t0,
|  |  | t1,
|  |  | t2,
|  |  | t3
| ) |  |

def add_vertex | ( |  | self,
|  |  | vertex_id,
|  |  | vertex_function,
|  |  | context
| ) |  |

def attach_motion_trail | ( |  | self | ) |

def begin_geometry | ( |  | self | ) |

def begin_motion_trail | ( |  | self | ) |

def check_for_update | ( |  | self,
|  |  | current_time
| ) |  |

def delete | ( |  | self | ) |

def enable_motion_trail | ( |  | self,
|  |  | enable
| ) |  |

def end_geometry | ( |  | self | ) |

def end_motion_trail | ( |  | self | ) |

def motion_trail_task | ( |  | self,
|  |  | task
| ) |  |

def pause_motion_trail | ( |  | self,
|  |  | current_time
| ) |  |

def print_matrix | ( |  | self,
|  |  | matrix
| ) |  |

def register_motion_trail | ( |  | self | ) |

def reset_motion_trail | ( |  | self | ) |

def reset_motion_trail_geometry | ( |  | self | ) |

def resume_motion_trail | ( |  | self,
|  |  | current_time
| ) |  |

def set_fade | ( |  | self,
|  |  | time,
|  |  | current_time
| ) |  |

def set_texture | ( |  | self,
|  |  | texture
| ) |  |

def set_vertex_color | ( |  | self,
|  |  | vertex_id,
|  |  | start_color,
|  |  | end_color
| ) |  |

def setGlobalEnable | ( |  | self,
|  |  | enable
| ) |  |

def toggle_pause_motion_trail | ( |  | self,
|  |  | current_time
| ) |  |

def transferVertices | ( |  | self | ) |

def unregister_motion_trail | ( |  | self | ) |

def update_motion_trail | ( |  | self,
|  |  | current_time,
|  |  | transform
| ) |  |

def update_vertices | ( |  | self | ) |

## Member Data Documentation

active

calculate_relative_matrix

cmotion_trail

color_scale

color_writer

continuous_motion_trail

enable

fade

fade_color_scale

fade_end

fade_start_time

fade_time

format

frame_list

geom_node

geom_node_path

geometry

global_enable = True`[static]`

last_update_time

modified_vertices

list motion_trail_list = [ ]`[static]`

string motion_trail_task_name = "motion_trail_task"`[static]`

tuple notify = directNotify.newCategory("MotionTrail")`[static]`

parent_node_path

pause

pause_time

playing

previous_matrix

relative_to_render

set render states

resolution_distance

root_node_path

sampling_time

square_t

task_added = False`[static]`

texture

texture_writer

time_window

total_vertices

triangles

use_nurbs

use_python_version

vertex_data

vertex_index

vertex_list

vertex_writer

All Classes Namespaces Functions Variables Enumerations Enumerator Properties